import { useRef, useState } from 'react'
import reactLogo from './assets/react.svg'
import viteLogo from '/vite.svg'
import { useSelector, useDispatch } from 'react-redux'
import { setQuery } from './app/searchSlice'
import { setShowName } from './app/displaySlice'
import { IconList } from './IconList'
import './App.css'

function App() {
	const inputSearch = useRef()
	const checkShowName = useRef()
	const dispatch = useDispatch()

	function queryOnChange () {
		dispatch(setQuery(inputSearch.current.value))
	}

	function showNameOnChange () {
		dispatch(setShowName(checkShowName.current.checked))
	}

	return (
		<>
			<input type='text' id='search' ref={ inputSearch } onChange={ queryOnChange } placeholder='Search icon' />
			<div id='display-options'>
				<input type="checkbox" name="checkShowName" ref={ checkShowName } onChange={ showNameOnChange } id='checkShowName' />
				<label htmlFor="checkShowName">Display icon names</label>
			</div>
			<IconList></IconList>
		</>
	)
}

export default App
